complexType "Strike"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | strikeRate?, buyer?, seller?
</...>

Content Model Elements (3):

  buyer (defined in Strike complexType), seller (defined in Strike complexType), | strikeRate

All Direct / Indirect Based Elements (2):

  capRate, floorRate

Known Usage Locations

- As direct type of elements (2):
  capRate, floorRate

Annotation
A type describing a single cap or floor rate.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="Strike"> <xsd:sequence> <xsd:element minOccurs="0" name="strikeRate" type="xsd:decimal"/> <xsd:element minOccurs="0" name="buyer" type="IdentifiedPayerReceiver"/> <xsd:element minOccurs="0" name="seller" type="IdentifiedPayerReceiver"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
buyer

  Type: | IdentifiedPayerReceiver, simple content

  The buyer of the option
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Payer" | - | The party identified as the stream payer. See: http://www.FpML.org
  "Receiver" | - | The party identified as the stream receiver. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="buyer" type="IdentifiedPayerReceiver"/>

seller

  Type: | IdentifiedPayerReceiver, simple content

  The party that has sold.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Payer" | - | The party identified as the stream payer. See: http://www.FpML.org
  "Receiver" | - | The party identified as the stream receiver. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="seller" type="IdentifiedPayerReceiver"/>

strikeRate

  Type: | xsd:decimal, predefined, simple content

  The rate for a cap or floor.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="strikeRate" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.